Debian Bug report logs - #566877
pdns-recursor: init.d script should depend on $syslog and start before pdns

version graph

Package: pdns-recursor; Maintainer for pdns-recursor is Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>; Source for pdns-recursor is src:pdns-recursor.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Mon, 25 Jan 2010 18:42:02 UTC

Severity: normal

Tags: patch

Found in version pdns-recursor/3.1.7.1-3

Fixed in version pdns-recursor/3.2-1

Done: Matthijs Mohlmann <matthijs@cacholong.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#566877; Package pdns-recursor. (Mon, 25 Jan 2010 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>.

Your message specified a Severity: in the pseudo-header, but the severity value seriuos was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

(Mon, 25 Jan 2010 18:42:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: pdns-recursor: init.d script should depend on $syslog and start before pdns
Date: Mon, 25 Jan 2010 19:38:33 +0100
Package:  pdns-recursor
Version:  3.1.7.1-3
Severity: seriuos
Tags:     patch
User:     initscripts-ng-devel@lists.alioth.debian.org
Usertags: incorrect-dependency

This is a followup on #547033, where the init.d boot dependencies were
discussed.

I recently checked out the boot ordering in Debian Edu based on
Squeeze, and came across unexpected ordering of init.d/pdns*.  The
pdns-recursor script is started before the rsyslog script, causing any
syslog messages sent by pdns-recursing during boot to be lost.  The
solution is to add $syslog as a dependency.

Also, I notice that the pdns-recursor script used to start before
pdns, but there is no relationship between these scripts recorded in
their dependency header.  This can be solved two ways.  Either state
in the pdns-recursor script that it should start before pdns, or state
in the pdns script that it should start after pdns-recursor.  As this
is a bug report for pdns-recursor, my proposed patch to the former. :)

The following patch should solve both issues, making sure
pdns-recursor start after the syslog is operational and before pdns.
With the new dependencies in place, the script will be moved to a more
sensible boot order location.

I set severity to seriuos, because I believe pdns-recursor will fail
to work as it should if it happen to start after pdns (which might
happen when concurrent booting is enabled).  If that is not the case,
missing syslog messages during boot is probably just a bug with
severity important.

--- pdns-recursor-3.1.7.2/debian/init.d/pdns-recursor   2010-01-25 19:24:56.000000000 +0100
+++ pdns-recursor-3.1.7.2-pere/debian/init.d/pdns-recursor      2010-01-25 19:26:17.000000000 +0100
@@ -1,8 +1,10 @@
 #!/bin/sh
 ### BEGIN INIT INFO
 # Provides:          pdns-recursor
-# Required-Start:    $network $remote_fs
-# Required-Stop:     $network $remote_fs
+# Required-Start:    $network $remote_fs $syslog
+# Required-Stop:     $network $remote_fs $syslog
+# X-Start-Before:    pdns
+# X-Stop-After:      pdns
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
 # Short-Description: Start the recursor at boot time.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#566877; Package pdns-recursor. (Tue, 26 Jan 2010 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>. (Tue, 26 Jan 2010 10:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 566877@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 566877@bugs.debian.org
Subject: Re: pdns-recursor: init.d script should depend on $syslog and start before pdns
Date: Tue, 26 Jan 2010 11:50:39 +0100
BTW, I just noticed that pdns-recursor is started before slapd even
when pdns is configured to fetch configuration from LDAP, and this
made me wonder if pdns-recursor also need the LDAP to be operational
when it starts or not.  If it does, it should list slapd in the
should-start (and probably also should-stop) headers.  The same should
probably be added to the pdns headers.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#566877; Package pdns-recursor. (Tue, 26 Jan 2010 11:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>. (Tue, 26 Jan 2010 11:18:02 GMT) Full text and rfc822 format available.

Message #15 received at 566877@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: Petter Reinholdtsen <pere@hungry.com>, 566877@bugs.debian.org
Subject: Re: Bug#566877: pdns-recursor: init.d script should depend on $syslog and start before pdns
Date: Tue, 26 Jan 2010 12:04:06 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Petter Reinholdtsen wrote:
> BTW, I just noticed that pdns-recursor is started before slapd even
> when pdns is configured to fetch configuration from LDAP, and this
> made me wonder if pdns-recursor also need the LDAP to be operational
> when it starts or not.  If it does, it should list slapd in the
> should-start (and probably also should-stop) headers.  The same should
> probably be added to the pdns headers.
> 
> Happy hacking,

Hi,

pdns and pdns-recursor are to independent pieces of software, they don't
need each other. pdns is the only one that can fetch data from LDAP if
it has the pdns-backend-ldap package installed. The pdns-recursor can't
fetch data from a LDAP server. pdns can make use of pdns-recursor but it
can also fetch data from different sources so no, I don't think there is
need for any condition between pdns and pdns-recursor.

What happens if I have slapd listed in should-start / should-stop if
slapd isn't installed ? (pdns can also read data from mysql /
postgresql, or should those two also be listed in should-start /
should-stop ?)

Regards,

Matthijs Mohlmann

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAktezCYACgkQ2n1ROIkXqbCEYgCfXw0jLCrA9indqqNWPoBkZoRI
vIAAmQH2VjLntPme1FkW6EGC3WbBvMAg
=hciY
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#566877; Package pdns-recursor. (Tue, 26 Jan 2010 11:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>. (Tue, 26 Jan 2010 11:39:08 GMT) Full text and rfc822 format available.

Message #20 received at 566877@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 566877@bugs.debian.org
Subject: Re: Bug#566877: pdns-recursor: init.d script should depend on $syslog and start before pdns
Date: Tue, 26 Jan 2010 12:37:28 +0100
[Matthijs Möhlmann]
> pdns and pdns-recursor are to independent pieces of software, they
> don't need each other. pdns is the only one that can fetch data from
> LDAP if it has the pdns-backend-ldap package installed.  The
> pdns-recursor can't fetch data from a LDAP server.

Right.  The pdns-server should list a relationship to slapd, and
pdns-recursor should not.

> pdns can make use of pdns-recursor but it can also fetch data from
> different sources so no, I don't think there is need for any
> condition between pdns and pdns-recursor.

So they can start in any order during boot?  I notice they used to
start with sequence number 19 and 20, and thus believed they should
continue to have that boot order.

> What happens if I have slapd listed in should-start / should-stop if
> slapd isn't installed ?

Nothing.  The should-start statement mean that if the provides listed
there are present, the currenet script should start after the scripts
providing the listed provides.  The should-* headers only take effect
if the packages/provides listed there are installed/present.

> (pdns can also read data from mysql / postgresql, or should those
> two also be listed in should-start / should-stop ?)

Yes.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#566877; Package pdns-recursor. (Sat, 06 Mar 2010 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>. (Sat, 06 Mar 2010 00:36:03 GMT) Full text and rfc822 format available.

Message #25 received at 566877@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 566877@bugs.debian.org
Subject: Re: Bug#566877: pdns-recursor: init.d script should depend on $syslog and start before pdns
Date: Sat, 6 Mar 2010 01:32:30 +0100
Hi.  Can I provide more information to improve the boot ordering of
pdns for squeeze?  Any hope of having this issue resolved soon?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#566877; Package pdns-recursor. (Tue, 16 Mar 2010 22:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>. (Tue, 16 Mar 2010 22:21:05 GMT) Full text and rfc822 format available.

Message #30 received at 566877@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: Petter Reinholdtsen <pere@hungry.com>, 566877@bugs.debian.org
Subject: Re: Bug#566877: pdns-recursor: init.d script should depend on $syslog and start before pdns
Date: Tue, 16 Mar 2010 23:14:38 +0100
[Message part 1 (text/plain, inline)]
Hello Petter,

I'm currently fixing this bug, can I put slapd in the X-Start-Before and X-Stop-After ? Or do I need $slapd / $mysql / $postgresql there ?

X-Start-After $slapd $mysql $postgresql
X-Stop-Before $slapd $mysql $postgresql

Or should I just use: slapd mysql and postgresql ? (Without the $ sign)

Regards,

Matthijs Möhlmann

On Mar 6, 2010, at 1:32 AM, Petter Reinholdtsen wrote:

> Hi.  Can I provide more information to improve the boot ordering of
> pdns for squeeze?  Any hope of having this issue resolved soon?
> 
> Happy hacking,
> -- 
> Petter Reinholdtsen
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#566877; Package pdns-recursor. (Tue, 16 Mar 2010 22:27:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>. (Tue, 16 Mar 2010 22:27:17 GMT) Full text and rfc822 format available.

Message #35 received at 566877@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Matthijs Mohlmann <matthijs@cacholong.nl>
Cc: 566877@bugs.debian.org
Subject: Re: Bug#566877: pdns-recursor: init.d script should depend on $syslog and start before pdns
Date: Tue, 16 Mar 2010 23:26:39 +0100
[Matthijs Mohlmann]
> Hello Petter,
> 
> I'm currently fixing this bug, can I put slapd in the X-Start-Before
> and X-Stop-After ?

Sure, if it should start before and stop after slapd. :)

> Or do I need $slapd / $mysql / $postgresql there
> ?
> 
> X-Start-After $slapd $mysql $postgresql
> X-Stop-Before $slapd $mysql $postgresql
> 
> Or should I just use: slapd mysql and postgresql ? (Without the $ sign)

The $ sign is used for virtual facilities (like $remote_fs), and
should not be used for facilites provided by other scripts.  Use the
string listed in the Provides header of the scripts in question.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. (Wed, 17 Mar 2010 10:21:06 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Wed, 17 Mar 2010 10:21:06 GMT) Full text and rfc822 format available.

Message #40 received at 566877-close@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 566877-close@bugs.debian.org
Subject: Bug#566877: fixed in pdns-recursor 3.2-1
Date: Wed, 17 Mar 2010 10:18:45 +0000
Source: pdns-recursor
Source-Version: 3.2-1

We believe that the bug you reported is fixed in the latest version of
pdns-recursor, which is due to be installed in the Debian FTP archive:

pdns-recursor_3.2-1.diff.gz
  to main/p/pdns-recursor/pdns-recursor_3.2-1.diff.gz
pdns-recursor_3.2-1.dsc
  to main/p/pdns-recursor/pdns-recursor_3.2-1.dsc
pdns-recursor_3.2-1_amd64.deb
  to main/p/pdns-recursor/pdns-recursor_3.2-1_amd64.deb
pdns-recursor_3.2.orig.tar.gz
  to main/p/pdns-recursor/pdns-recursor_3.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566877@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Mohlmann <matthijs@cacholong.nl> (supplier of updated pdns-recursor package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 17 Mar 2010 10:59:28 +0100
Source: pdns-recursor
Binary: pdns-recursor
Architecture: source amd64
Version: 3.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian PowerDNS Maintainers <powerdns-debian@workaround.org>
Changed-By: Matthijs Mohlmann <matthijs@cacholong.nl>
Description: 
 pdns-recursor - PowerDNS recursor
Closes: 489925 566877
Changes: 
 pdns-recursor (3.2-1) unstable; urgency=low
 .
   * New upstream version.
   * Update Standards-Version to 3.8.4
   * Fix boot order, thanks to Petter Reinholdtsen (Closes: #566877)
   * All architectures enabled, needs testing (Closes: #489925)
Checksums-Sha1: 
 44802613411927a0e053c1603b6983f6a8170d9e 1241 pdns-recursor_3.2-1.dsc
 0e4001bb361eee0fe4b337ae06d65d4ed09ad169 171114 pdns-recursor_3.2.orig.tar.gz
 ccb3a39ff3882ab47260a84877b7c3cb628d9951 8494 pdns-recursor_3.2-1.diff.gz
 c43d42dbba6f5aa37191a3141bcf762704010f16 551504 pdns-recursor_3.2-1_amd64.deb
Checksums-Sha256: 
 aa87eb81f1df3caced8f9f9c4dd7edb59e3c8d0982954464f634cde4e853d32c 1241 pdns-recursor_3.2-1.dsc
 16e5ccc218e1efb0b3b2bac33931f61e607453cd612ce26bf5e978c280300b4e 171114 pdns-recursor_3.2.orig.tar.gz
 e196ba97a9869c8baf8434cfcb97cc395d185cd02f254b34ee9ae73c8c81adde 8494 pdns-recursor_3.2-1.diff.gz
 855c52701a162e3a6505a26bdb2ed68f4b7d62bdf90796e53cbe31a9385e711c 551504 pdns-recursor_3.2-1_amd64.deb
Files: 
 3d1f15b2036b4eaaaaabafeef26c3d05 1241 net extra pdns-recursor_3.2-1.dsc
 7a53e69a235044ac461297713e213a3b 171114 net extra pdns-recursor_3.2.orig.tar.gz
 05dc7e5eb8a969a7bc21f503c14db26a 8494 net extra pdns-recursor_3.2-1.diff.gz
 5bff5ab273058adcbfd6de40570c9065 551504 net extra pdns-recursor_3.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkugqa4ACgkQ2n1ROIkXqbCTtQCfe69BbIsmilc17qFpkXsGIR6N
lfoAoImuTAUZOIzbWcXzcfozIg+UhZV0
=8UvI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Apr 2010 07:33:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:03:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.